/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/
package stripesbook.action;

import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.ajax.JavaScriptResolution;
import stripesbook.model.Money;

public class JavaScriptResolutionActionBean extends BaseActionBean {
    private static final String VIEW =
        "/WEB-INF/jsp/javascript_resolution.jsp";
    public int youGiveMe;
    
    @DefaultHandler
    public Resolution view() {
        return new ForwardResolution(VIEW);
    }

    public Resolution doubleMoney() {
        Money money = new Money(youGiveMe, youGiveMe * 2);
        return new JavaScriptResolution(money);
    }

}
