<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<s:layout-render name="/WEB-INF/jsp/common/layout_main.jsp"
  title="Partial Form AJAX example">
  <s:layout-component name="head">
    <script type="text/javascript">
      
      function updateModels(control) {
        var form = control.form;
        var params =
          $H(form.serialize(true)).update({'_eventName':'updateModels'});

        new Ajax.Updater('modelChoices', form.action,
          { method: 'post',
            parameters: params
          }
        );
      }
      
    </script>
  </s:layout-component>
  <s:layout-component name="body">
    <p>Select a car make and model:</p>
    <p>
      <%-- START:form --%>
      <s:form beanclass="stripesbook.action.PartialFormActionBean">
        Make:
        <s:select name="make" onchange="updateModels(this);">
          <s:option value="" label="..."/>
          <s:options-map map="${actionBean.cars}" label="key"/>
        </s:select>
        Model:
        <span id="modelChoices"><s:select name="models"/></span>
      </s:form>
      <%-- END:form --%>
    </p>
  </s:layout-component>
</s:layout-render>
