<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<s:layout-render name="/WEB-INF/jsp/common/layout_main.jsp"
  title="Error handling AJAX example">
  <s:layout-component name="head">
    <script type="text/javascript">
      function sendMoney(control) {
        var form = control.form;
        new Ajax.Updater('result', form.action,
          { method: 'post',
            parameters: form.serialize({submit: control.name})
          }
        );
      }
    </script>
  </s:layout-component>
  <s:layout-component name="body">
    <p>Let me double your money!</p>
    <p>
      <s:form beanclass="stripesbook.action.ErrorHandlingActionBean">
        You give me $
        <s:text name="youGiveMe"/>
        <br>
        <s:submit name="doubleMoney" value="Send"
          onclick="sendMoney(this); return false;"/>
        <s:submit name="cancel" value="Cancel"
          onclick="sendMoney(this); return false;"/>
      </s:form>
    </p>
    <p id="result"></p>
  </s:layout-component>
</s:layout-render>
