<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>

<title>Contact List</title>
<meta name="currentSection" content="ContactList"/>
<s:link beanclass="stripesbook.action.ContactFormActionBean">
  Create a New Contact
</s:link>
<d:table name="${actionBean.contacts}" id="contact" requestURI=""
  defaultsort="1">
  <d:column title="Last name" property="lastName"
    sortable="true"/>
  <d:column title="First name" property="firstName"
    sortable="true"/>
  <d:column title="Email" property="email" sortable="true"/>
  <d:column title="Action">
    <s:link beanclass="stripesbook.action.ContactListActionBean"
      event="view">
      <s:param name="contact" value="${contact}"/>
      View
    </s:link> |
    <s:link beanclass="stripesbook.action.ContactFormActionBean">
      <s:param name="contact" value="${contact}"/>
      Update
    </s:link> |
    <s:link beanclass="stripesbook.action.ContactListActionBean"
      event="delete"
      onclick="return confirm('Delete ${contact}?');">
      <s:param name="contact" value="${contact}"/>
      Delete
    </s:link>
  </d:column>
</d:table>
