<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<c:set var="folder" value="${actionBean.context.currentFolder}"/>
<fmt:message var="title" key="messageList.title"/>
<s:layout-render name="/WEB-INF/jsp/common/layout_folders.jsp"
  title="${title}" currentSection="MessageList">
  <s:layout-component name="body">
    <s:form beanclass="stripesbook.action.MessageListActionBean">
      <d:table name="${folder.messages}" requestURI="" id="message"
        defaultsort="2" defaultorder="descending" pagesize="10">
        <d:column>
          <s:checkbox name="selectedMessages" value="${message.id}"/>
        </d:column>
        <d:column titleKey="messageList.date" sortable="true">
          <s:format value="${message.date}"
            formatPattern="yyyy-MM-dd HH:mm"/>
        </d:column>
        <d:column titleKey="messageList.from" property="from" sortable="true"/>
        <d:column titleKey="messageList.to" property="to" sortable="true"/>
        <d:column titleKey="messageList.subject" sortable="true">
          <s:link
            beanclass="stripesbook.action.MessageDetailsActionBean">
            <s:param name="message" value="${message.id}"/>
            ${message.subject}
          </s:link>
        </d:column>
      </d:table>
      <c:if test="${not empty folder.messages}">
        <div>
          <s:errors field="selectedMessages"/>
        </div>
        <%@include file="/WEB-INF/jsp/common/message_action.jsp"%>
      </c:if>
    </s:form>
  </s:layout-component>
</s:layout-render>
