<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>

<fmt:message var="title" key="title"/>
<s:layout-render name="/WEB-INF/jsp/common/layout_main.jsp"
  title="${title}">
  <s:layout-component name="body">
    <p><fmt:message key="invite"/>:</p>
    <s:errors globalErrorsOnly="true"/>
    <s:form beanclass="stripesbook.action.RegisterActionBean">
      <table class="form">
        <tr>
          <td><s:label for="user.firstName"/>:</td>
          <td><s:text name="user.firstName"/></td>
        </tr>
        <tr>
          <td><s:label for="user.lastName"/>:</td>
          <td><s:text name="user.lastName"/></td>
        </tr>
        <tr>
          <td><s:label for="user.username"/>:</td>
          <td><s:text name="user.username"/></td>
          <td>@stripesbook.org</td>
        </tr>
        <tr>
          <td><s:label for="user.password"/>:</td>
          <td><s:password name="user.password"/></td>
        </tr>
        <tr>
          <td><s:label for="confirmPassword"/>:</td>
          <td><s:password name="confirmPassword"/></td>
        </tr>
        <tr>
          <td><s:label for="numberOfAliases"/>:</td>
          <td>
            <s:select name="numberOfAliases">
              <s:option value="">
                <fmt:message key="howManyAliases"/>
              </s:option>
              <c:forEach  begin="${actionBean.minAliases}"
                var="index" end="${actionBean.maxAliases}">
                <s:option value="${index}" label="${index}"/>
              </c:forEach>
            </s:select>
          </td>
        </tr>
        <tr>
          <td></td>
          <td>
            <s:submit name="register"/>
            <s:submit name="cancel"/>
          </td>
        </tr>
      </table>
    </s:form>
  </s:layout-component>
</s:layout-render>
