<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<s:useActionBean id="folders"
  beanclass="stripesbook.view.FoldersViewHelper"/>
<s:layout-definition>
  <s:layout-render name="/WEB-INF/jsp/common/layout_menu.jsp"
    title="${title}" currentSection="${currentSection}">
    <s:layout-component name="body">

      <div id="folders">
        <d:table name="${folders.folders}" id="folder">
          <d:column titleKey="Folder.name">
            <s:link
              beanclass="stripesbook.action.MessageListActionBean">
              <s:param name="folder" value="${folder.id}"/>
              <fmt:message key="Folder.${folder.name}"/>
            </s:link>
            <c:if test="${actionBean.context.currentFolder eq folder}">
              <img src="${contextPath}/images/arrow.png"
                style="border: none; vertical-align: bottom"/>
            </c:if>
          </d:column>
          <d:column titleKey="Folder.messages" style="text-align: right">
            ${fn:length(folder.messages)}
          </d:column>
        </d:table>
      </div>

      <div id="main">
        ${body}
      </div>

    </s:layout-component>
  </s:layout-render>
</s:layout-definition>
