/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.ext.guice.config;


import com.google.inject.AbstractModule;
import stripesbook.dao.AttachmentDao;
import stripesbook.dao.ContactDao;
import stripesbook.dao.FolderDao;
import stripesbook.dao.MessageDao;
import stripesbook.dao.UserDao;
import stripesbook.dao.impl.stripersist.AttachmentDaoImpl;
import stripesbook.dao.impl.stripersist.ContactDaoImpl;
import stripesbook.dao.impl.stripersist.FolderDaoImpl;
import stripesbook.dao.impl.stripersist.MessageDaoImpl;
import stripesbook.dao.impl.stripersist.UserDaoImpl;


public class GuiceConfigModule extends AbstractModule {
    @Override
    protected void configure() {
        bind(AttachmentDao.class).to(AttachmentDaoImpl.class);
        bind(ContactDao.class).to(ContactDaoImpl.class);
        bind(FolderDao.class).to(FolderDaoImpl.class);
        bind(MessageDao.class).to(MessageDaoImpl.class);
        bind(UserDao.class).to(UserDaoImpl.class);
    }
}

