<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<fmt:message var="title" key="contactList.title"/>
<%-- START:portions --%>
<s:layout-render name="/WEB-INF/jsp/common/layout_menu.jsp"
  title="${title}" currentSection="ContactList">
  <s:layout-component name="body">
    <!-- ... -->
<%-- END:portions --%>
    <s:link beanclass="stripesbook.action.ContactFormActionBean"
      onclick="return ajaxLink(this, '#contact_form');">
      <fmt:message key="contactList.createNewContact"/>
    </s:link> |
    <%-- START:filter --%>
    <s:url var="url"
      beanclass="stripesbook.action.ContactListActionBean"/>
    <fmt:message key="contactList.filter"/>:
    <input type="text" onkeyup="filterContacts(this, '${url}');"/>
    <%-- END:filter --%>
    <br><br>
<%-- START:portions --%>
    <div id="contact_table" style="float: left">
      <%@include file="/WEB-INF/jsp/parts/contact_table.jsp"%>
    </div>
    <div id="contact_details" style="float: left"></div>
    <div style="clear: both"></div>
    <div id="contact_form"></div>
<%-- END:portions --%>
    <c:if test="${empty actionBean.contacts}">
      <p>
        <s:link beanclass="stripesbook.action.MockDataLoaderActionBean"
                event="loadMockContacts">
          <fmt:message key="contactList.loadMockContacts"/>
        </s:link>
      </p>
    </c:if>
<%-- START:portions --%>
  </s:layout-component>
</s:layout-render>
<%-- END:portions --%>
