<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<%-- START:this --%>
<table class="view">
  <tr>
    <td class="label"><s:label for="contact.firstName"/>:</td>
    <td class="value">
      ${fn:escapeXml(actionBean.contact.firstName)}
    </td>
  </tr>
  <!-- same for other fields... -->
<%-- END:this --%>
  <tr>
    <td class="label"><s:label for="contact.lastName"/>:</td>
    <td class="value">
      ${fn:escapeXml(actionBean.contact.lastName)}
    </td>
  </tr>
  <tr>
    <td class="label"><s:label for="contact.email"/>:</td>
    <td class="value">${actionBean.contact.email}</td>
  </tr>
  <tr>
    <td class="label"><s:label for="contact.phoneNumber"/>:</td>
    <td class="value">
      <s:format formatType="dashes"
         value="${actionBean.contact.phoneNumber}"/>
    </td>
  </tr>
  <tr>
    <td class="label"><s:label for="contact.birthDate"/>:</td>
    <td class="value">
      <s:format value="${actionBean.contact.birthDate}"
        formatPattern="yyyy-MM-dd"/>
    </td>
  </tr>
  <tr>
    <td class="label"><s:label for="contact.gender"/>:</td>
    <td class="value">
      <c:if test="${not empty actionBean.contact.gender}">
        <fmt:message key="${actionBean.contact.gender}"/>
      </c:if>
    </td>
  </tr>
<%-- START:this --%>
</table>
<a href="#" style="padding-left: 24px;"
  onclick="$('#contact_details').hide();">
  <img src="${contextPath}/images/close.png" border="0"/>
</a>
<%-- END:this --%>
