<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<d:table name="${actionBean.contacts}" id="contact" requestURI=""
  defaultsort="1">
  <d:column titleKey="contact.lastName" sortable="true">
    ${fn:escapeXml(contact.lastName)}
  </d:column>
  <d:column titleKey="contact.firstName" sortable="true">
    ${fn:escapeXml(contact.firstName)}
  </d:column>
  <d:column titleKey="contact.email" property="email" sortable="true"/>
  <d:column titleKey="contactList.action">
    <%-- START:details --%>
    <s:link beanclass="stripesbook.action.ContactListActionBean"
      event="details"
      onclick="return ajaxLink(this, '#contact_details');">
      <s:param name="contact" value="${contact}"/>
      <img src="${contextPath}/images/info.gif" border="0"/>
    </s:link> |
    <%-- END:details --%>
    <%-- START:update --%>
    <s:link beanclass="stripesbook.action.ContactFormActionBean"
      onclick="return ajaxLink(this, '#contact_form');">
      <s:param name="contact" value="${contact}"/>
      <img src="${contextPath}/images/update.png" border="0"/>
    </s:link> |
    <%-- END:update --%>
    <%-- START:delete --%>
    <s:link beanclass="stripesbook.action.ContactListActionBean"
      event="delete"
      onclick="return ajaxLink(this, '#contact_table');">
      <s:param name="contact" value="${contact}"/>
      <img src="${contextPath}/images/delete.gif" border="0"/>
    </s:link>
    <%-- END:delete --%>
  </d:column>
</d:table>
