/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.ext;


import java.util.ArrayList;
import java.util.List;
import net.sourceforge.stripes.controller.NameBasedActionResolver;


public class MyActionResolver extends NameBasedActionResolver {
    @Override
    protected List<String> getFindViewAttempts(String url) {
        List<String> defaultViews =
            super.getFindViewAttempts(url);

        List<String> customViews =
            new ArrayList<String>(defaultViews.size());

        for (String view : defaultViews) {
            customViews.add("/WEB-INF/jsp" + view);
        }
        return customViews;
    }
}

