/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.ext;


import java.io.IOException;

import net.sourceforge.stripes.exception.StripesRuntimeException;
import net.sourceforge.stripes.tag.InputTagSupport;
import net.sourceforge.stripes.tag.TagErrorRenderer;


public class MyTagErrorRenderer implements TagErrorRenderer {
    private InputTagSupport tag;
    public void init(InputTagSupport atag) { tag = atag; }
    public void doBeforeStartTag() { }
    public void doAfterEndTag() {
        try { tag.getPageContext().getOut().write("**"); }
        catch (IOException exc)
            { throw new StripesRuntimeException(exc); }
    }
}

