<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@page contentType="text/html;charset=ISO-8859-1" language="java"%>
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<s:layout-definition>
  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
  <html>
    <head>
      <title>${title}</title>
      <link rel="stylesheet" type="text/css"
        href="${contextPath}/css/style.css">
    </head>

    <body>
      <div id="panel">
        <div id="header">
          <span class="title">${title}</span>
          <span class="menu">
            <s:layout-component name="menu">
              <fmt:message key="layout.welcome"/>
            </s:layout-component>
          </span>
        </div>

        <s:messages/>

        <div id="body">
          <s:layout-component name="body">
            Body goes here
          </s:layout-component>
        </div>

        <div class="clear"></div>

        <div id="footer">
          <div class="padded">
            
            <fmt:message var="otherLocale" key="layout.otherLocale"/>
            <s:link href="${actionBean.lastUrl}">
              <s:param name="locale" value="${otherLocale}"/>
              <fmt:message key="layout.otherLanguage"/>
            </s:link>
            

            <!-- View source links just for convenience -->
            | Source:
            <s:link beanclass="stripesbook.action.ViewSourceActionBean">
              <s:param name="filename" value="<%= request.getRequestURI() %>"/>
              JSP
            </s:link> |
            <s:link beanclass="stripesbook.action.ViewSourceActionBean">
              <s:param name="filename" value="${actionBean.class.name}"/>
              Action Bean
            </s:link>
          </div>
        </div>
      </div>
    </body>
  </html>
</s:layout-definition>
