/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.ext;


import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sourceforge.stripes.action.ActionBeanContext;
import net.sourceforge.stripes.controller.DefaultActionBeanContextFactory;
import net.sourceforge.stripes.controller.StripesFilter;
import net.sourceforge.stripes.integration.spring.SpringHelper;


public class MyActionBeanContextFactory
    extends DefaultActionBeanContextFactory
{
    @Override
    public ActionBeanContext getContextInstance(
        HttpServletRequest req, HttpServletResponse resp)
        throws ServletException        
    {
        ActionBeanContext actionBeanContext
            = super.getContextInstance(req, resp);

        ServletContext servletContext =
            StripesFilter.getConfiguration().getServletContext();

        SpringHelper.injectBeans(actionBeanContext, servletContext);

        return actionBeanContext;
    }
}

