/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.ext;


import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sourceforge.stripes.config.Configuration;
import net.sourceforge.stripes.exception.ExceptionHandler;
import net.sourceforge.stripes.util.Log;


public class MyExceptionHandler implements ExceptionHandler {
    private static final String VIEW = "/WEB-INF/jsp/exception.jsp";
    private static final Log log =
        Log.getInstance(MyExceptionHandler.class);

    public void handle(Throwable exc, HttpServletRequest req,
        HttpServletResponse resp)
        throws ServletException, IOException
    {
        log.error(exc);
        req.getRequestDispatcher(VIEW).forward(req, resp);
    }
    public void init(Configuration configuration) { }
}

