/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/
package stripesbook.action;

import net.sourceforge.stripes.action.HttpCache;
import stripesbook.model.Contact;
import stripesbook.model.User;

@HttpCache(allow=false)
public abstract class ContactBaseActionBean extends BaseActionBean {
    private Contact contact;

    public Contact getContact() {
        return contact;
    }
    
    public void setContact(Contact contact) {
        User user = contact.getUser();
        if (user == null || getUser().equals(user)) {
            this.contact = contact;
        }
    }
    
}
