<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>

<fmt:message var="title" key="login.title"/>
<s:layout-render name="/WEB-INF/jsp/common/layout_main.jsp"
  title="${title}">
  <s:layout-component name="body">
    <p><fmt:message key="login.pleaseLogin"/>:</p>
    <%-- START:loginUrl --%>
    <s:form beanclass="stripesbook.action.LoginActionBean">
      <%-- ... --%>
      <%-- END:loginUrl --%>
      <s:errors/>
      <table class="form">
        <tr>
          <td><s:label for="username"/>:</td>
          <td><s:text name="username"/></td>
          <td>@stripesbook.org</td>
        </tr>
        <tr>
          <td><s:label for="password"/>:</td>
          <td><s:password name="password"/></td>
        </tr>
        <tr>
          <td></td>
          <td><s:submit name="login"/></td>
        </tr>
      </table>
      <%-- START:loginUrl --%>
      <s:hidden name="loginUrl"/>
    </s:form>
    <%-- END:loginUrl --%>
    <s:link beanclass="stripesbook.action.RegisterActionBean">
      <fmt:message key="login.register"/>
    </s:link>
    <fmt:message key="login.toCreateAnAccount"/>.
    <p>
      <s:link beanclass="stripesbook.action.MockDataLoaderActionBean">
        <fmt:message key="login.loadMockUser"/>
      </s:link>
    </p>
  </s:layout-component>
</s:layout-render>
