<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>
<fmt:message var="title" key="userList.title"/>
<s:layout-render name="/WEB-INF/jsp/common/layout_menu.jsp"
  title="${title}" currentSection="UserList">
  <s:layout-component name="body">
    <%-- START:this --%>
    <c:set var="index" value="0"/>
    <s:form beanclass="stripesbook.action.UserListActionBean">
      <d:table name="${actionBean.users}" id="user" requestURI=""
        defaultsort="1" pagesize="10">
        <d:column titleKey="user.lastName" sortable="true">
          ${fn:escapeXml(user.lastName)}
        </d:column>
        <d:column titleKey="user.firstName" sortable="true">
          ${fn:escapeXml(user.firstName)}
        </d:column>
        <d:column titleKey="user.email" sortable="true">
          ${fn:escapeXml(user.username)}@stripesbook.org
        </d:column>
        <d:column titleKey="user.roles">
          <c:forEach var="role" items="${actionBean.roles}">
            <s:checkbox name="users[${index}].roles"
              value="${role}" checked="${user.roles}"/>
            ${role}
          </c:forEach>
          <c:set var="index" value="${index + 1}"/>
        </d:column>
      </d:table>
      <br>
      <s:submit name="save"/>
    </s:form>
    <%-- END:this --%>
  </s:layout-component>
</s:layout-render>
