<!--
 ! Excerpted from "Stripes: and Java Web Development is Fun Again",
 ! published by The Pragmatic Bookshelf.
 ! Copyrights apply to this code. It may not be used to create training material, 
 ! courses, books, articles, and the like. Contact us if you are in doubt.
 ! We make no guarantees that this code is fit for any purpose. 
 ! Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
-->
<%@include file="/WEB-INF/jsp/common/taglibs.jsp"%>

<fmt:message var="title" key="contactView.title"/>
<s:layout-render name="/WEB-INF/jsp/common/layout_menu.jsp"
  title="${title}" currentSection="ContactList">
  <s:layout-component name="body">
    <%@include file="/WEB-INF/jsp/parts/contact_details.jsp"%>
    <p>
      <s:link beanclass="stripesbook.action.ContactFormActionBean">
        <s:param name="contact" value="${actionBean.contact}"/>
        <fmt:message key="contactView.update"/>
      </s:link> |
      <s:link beanclass="stripesbook.action.ContactListActionBean">
        <fmt:message key="contactView.backToList"/>
      </s:link>
    </p>
  </s:layout-component>
</s:layout-render>
