/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/
/* contact_form.js */


function submitForm(button) {
  var form = button.form;
  var params = $(form).serializeArray();
  params.push({name: '_eventName', value: button.name});


/*
START:form

  $.post(form.action, params, function(data) {
    $('#contact_form').hide();
    $('#contact_table').html(data);
  });
  return false;
}
END:form
*/



  var xhr = $.post(form.action, params, function(data) {
    if (xhr.getResponseHeader('X-Stripes-Success')) {
      $('#contact_form').hide();
      $('#contact_table').html(data);
    }
    else {
      $('#contact_form').html(data);
    }
  });
  return false;
}

