/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.model;


import java.util.ArrayList;
import java.util.List;


public class User {
    private String firstName;
    private String lastName;
    private boolean activated;

    /* getters and setters... */

    public String getFirstName() {
        return firstName;
    }
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }
    public String getLastName() {
        return lastName;
    }
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
    public boolean isActivated() {
        return activated;
    }
    public void setActivated(boolean activated) {
        this.activated = activated;
    }
    @Override
    public String toString() {
        return String.format("%s %s (activated: %s)",
            firstName, lastName, activated);
    }
    private List<Role> roles = new ArrayList<Role>();
    public List<Role> getRoles() {
        return roles;
    }

}

